Create or update a Logstash pipeline
Server:
https://{kibana_url}
- PUT /api/logstash/pipeline/{id}
Create a centrally-managed Logstash pipeline or update a pipeline.
To use this API, you must have either the logstash_admin built-in role or a customized Logstash writer role.
Path Parameters
-
idstringrequired -
An identifier for the pipeline. Pipeline ID must begin with a letter or underscore and can contain only letters, underscores, dashes, hyphens, and numbers.
Request
-
descriptionstring · max: 1024 -
A description of the pipeline.
-
pipelinestringrequired -
A definition for the pipeline.
-
settingsobject -
Supported settings, represented as object keys, include the following:
pipeline.workerspipeline.batch.sizepipeline.batch.delaypipeline.ecs_compatibilitypipeline.orderedqueue.typequeue.max_bytesqueue.checkpoint.writes
Response
204
Indicates a successful call